Rails.application.routes.draw do
  get "leaderboard/index"
  # Reveal health status on /up that returns 200 if the app boots with no exceptions, otherwise 500.
  # Can be used by load balancers and uptime monitors to verify that the app is live.
  get "up" => "rails/health#show", as: :rails_health_check

  # Defines the root path route ("/")
  root "leaderboard#index"

  # Game
  get "game/:id", to: "game#show"
  get "games", to: "game#index", as: "games", defaults: { format: :html }

  # Only take JSON for POST to game
  resources :game, only: [ :create ], defaults: { format: :json }

  # Player
  get "player/:id", to: "player#show"

  # Leaderboard
  get "leaderboard", to: "leaderboard#index", as: "leaderboard", defaults: { format: :html }
end
